Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162893 - Scandinavian letters in password protected Openoffice files
Summary: Scandinavian letters in password protected Openoffice files
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-11 14:12 UTC by Robert
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-15 12:48:19 UTC


Attachments (Terms of Use)
example (deleted)
2005-07-15 12:47 UTC, Caolan McNamara
no flags Details

Description Robert 2005-07-11 14:12:12 UTC
Description of problem:
After updating Openoffice to version 1.1.3-11.5.0.fc3, rulesets for scandinavian 
letters has been changed when adding a password to protect a Openoffice 
document. In other words, documents that has been saved with password (with 
scandinavian letters åäö) cant be opened anymore with newer version than 1.1.3-
9.5.0.fc3.  


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Caolan McNamara 2005-07-11 14:22:28 UTC
what version were they created in in the first place ?

Comment 2 Robert 2005-07-13 06:14:49 UTC
Have been using openoffice for quite a while now so all documents have been
created with versions earlier than 1.1.3-11.5.0.fc3. Bye the way same problem is
with Openoffice 2.0Beta (Fedora 4 version), it cant open my documents "wrong
password".

Installed the orginal openoffice that comes with Fedora 3 and now i gets them
open. Damn its a big work changing all the passwords for each file :)

ps. could mention that all depens on one letter(Ã¥) that i have been using in the
password.  

Comment 3 Caolan McNamara 2005-07-13 06:59:10 UTC
They *could* be opened with 1.1.3-9.5.0.fc3 ? And it's not the case that the
passwords were originally long ones > 16 letters which were silently truncated
on input on older version and are now accepted in totality ?

Comment 4 Robert 2005-07-14 07:46:10 UTC
Yes all my skandinavian password saved documents can be opened with version 1.1.
3-9.5.0.fc3 or earlier. My password consist of 14 letters and one skandinavian 
letter (Ã¥).

I have now changed the password of some of my documents, replacing the letter å 
with an a. After the change all version of Openoffice can open the documents 
that i have changed the password to.    

Comment 5 Caolan McNamara 2005-07-14 08:20:51 UTC
That's really strange, I can see no change between those versions which could
account for it. Is is possible to get a password protected document (and the
password) created in 1.1.3-9 which won't open in 1.1.3-11 ?

Comment 6 Caolan McNamara 2005-07-15 12:47:32 UTC
Created attachment 116794 [details]
example

This was created with openoffice.org-1.1.3-9.5.0.fc3 with 14 character password
of...

åäöåäöåäöåäöåä

closed reopened to verify that the password worked.

I then re-upgraded to openoffice.org-1.1.3-11.5.0.fc3 and was still able to
open
it with that password, then upgraded to rawhide 1.9.117-1 and was also still
able to open it


Note You need to log in before you can comment on or make changes to this bug.